.TH GRABSERIAL "1" "MAY 2015"
.SH NAME
grabserial \- Serial line reader
.SH SYNOPSIS
.B grabserial
.SH DESCRIPTION
\fBGrabserial\fP is a small program which reads a serial port and writes the data
to standard output. The main purpose of this tool is to collect messages
written to the serial console from a target board running Linux, and save
the messages on a host machine.

.SH USAGE
.TP
grabserial [options] <config_file>

.SH OPTIONS
.TP
.B \-h, \-\-help
 Print this message
.TP
.B \-d, \-\-device=<devpath>
 Set the device to read (default '/dev/ttyS0')
.TP
.B \-b, \--baudrate=<val>
 Set the baudrate (default 115200)
.TP
.B \-w, \-\-width=<val>
 Set the data bit width (default 8)
.TP
.B \-p, \-\-parity=<val>
 Set the parity (default N)
.TP
.B \-s, \-\-stopbits=<val>
 Set the stopbits (default 1)
.TP
.B \-x, \-\-xonxoff
 Enable software flow control (default off)
.TP
.B \-r, \-\-rtscts
 Enable RTS/CTS flow control (default off)
.TP
.B \-f, \-\-force-reset
 Force pyserial to reset device parameters
.TP
.B \-\-endtime=<secs>
 End the program after the specified seconds have elapsed.
.TP
.B \-\-command=<cmd>
 Send a command to the port before reading
.TP
.B \-t, \-\-time
 Print time for each line received.  The time is
 when the first character of each line is
 received by grabserial
.TP
.B \-\-systime
 Print system time for each line received. The time
 is the absolute local time when the first character
 of each line is received by grabserial
.TP
.B \-m, \-\-match=<pat>
 Specify a regular expression pattern to match to
 set a base time.  Time values for lines after the
 line matching the pattern will be relative to
 this base time.
.TP
.B \-i, \-\-instantpat=<pat>
 Specify a regular expression pattern to have its time
 reported at end of run.  Works mid-line.
.TP
.B \-q, \-\-quitpat=<pat>
 Specify a regular expression pattern to end the
 program. Works mid-line.
.TP
.B \-l, \-\-launchtime
 Set base time from launch of program.
.TP
.B \-o, \-\-output=<name>
 Output data to the named file.
.TP
.B \-v, \-\-verbose
 Show verbose runtime messages
.TP
.B    \-V, \-\-version
 Show version number and exit

.SH Example
.TP
.B grabserial -e 30 -t -m "^Linux version.*"
This will grab serial input for 30 seconds, displaying the time for
each line, and re-setting the base time when the line starting with
"Linux version" is seen.

.SH AUTHOR
This manual page was written by Nobuhiro Iwamatsu <iwamatsu@debian.org>,
for the Debian GNU/Linux system (but may be used by others).
